Import SEC EDGAR filings as templates
curl --request POST \
--url https://app.myhero.so/templates/parser/secgov \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secGovDocuments": [
{
"url": "<string>",
"title": "<string>",
"publisher": "<string>",
"category": "<string>",
"description": "<string>"
}
],
"projectId": "<string>",
"workspaceId": "<string>",
"addToTemplates": true
}
'import requests
url = "https://app.myhero.so/templates/parser/secgov"
payload = {
"secGovDocuments": [
{
"url": "<string>",
"title": "<string>",
"publisher": "<string>",
"category": "<string>",
"description": "<string>"
}
],
"projectId": "<string>",
"workspaceId": "<string>",
"addToTemplates": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
secGovDocuments: [
{
url: '<string>',
title: '<string>',
publisher: '<string>',
category: '<string>',
description: '<string>'
}
],
projectId: '<string>',
workspaceId: '<string>',
addToTemplates: true
})
};
fetch('https://app.myhero.so/templates/parser/secgov', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": true
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Templates
Import SEC EDGAR filings as templates
Fetches and parses SEC EDGAR .htm filing URLs, converts them to Scribe document format, and stores them as document templates.
Restricted to manager-role users.
Each URL must be on the sec.gov domain and end in .htm.
POST
/
templates
/
parser
/
secgov
Import SEC EDGAR filings as templates
Authorizations
HERO personal access token
Body
application/json
Response
200 response
Available options:
true ⌘I